Subject: Re: trigger named just "tx" in drivers/net/wireless/atmel/at76c50x-usb.c

From: Pavel Machek <[email-masked]>
Date: Sun, 9 Dec 2018 21:08:44 +0100

On Mon 2018-12-03 10:45:01, Kalle Valo wrote:
> Pavel Machek <[email-masked]> writes:
> 
> > While grepping something else, I came across LED trigger that is named
> > just "tx".
> >
> > That's a bit too generic afaict?
> >
> > +++ b/drivers/net/wireless/atmel/at76c50x-usb.c
> > @@ -520,7 +520,7 @@ static int at76_usbdfu_download(struct usb_device
> > *udev, u8 *buf, u32 size,
> >  static int tx_activity;
> >   static void at76_ledtrig_tx_timerfunc(struct timer_list *unused);
> >    static DEFINE_TIMER(ledtrig_tx_timer, at76_ledtrig_tx_timerfunc);
> >    -DEFINE_LED_TRIGGER(ledtrig_tx);
> >    +DEFINE_LED_TRIGGER(ledtrig_tx); /* Hey! "tx" is a bit too generic
> >    name for a trigger! */
> 
> This is an ancient driver, my guess is that nobody uses it anymore. I
> should orphan it and maybe even remove it at some point.

Are you willing to add a fixme there? I really don't want people to
copy that example.
									Pavel

-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html